class HireEmailSet
  include Mongoid::Document
  include Mongoid::Timestamps

  field :field_name, type: String
  field :title
  field :content
  field :reminder_value, type: Integer, default: 0
  field :reminder_unit, type: String, default: 'month'
  field :disabled, type: Boolean, default: false
  belongs_to :property
end
