$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "property_hire/version"
begin
  require "yaml"
  require "erb"
  data = File.open(File.join(File.dirname(__FILE__), 'config', 'list.yml')).read
  $property_list = YAML.safe_load(ERB.new(data).result(binding)).map{|k,v| [k.to_sym,v]}.to_h
rescue => e
  puts [e.to_s,e.backtrace]
end
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
  app_path = File.expand_path(__dir__)
  template_path = ENV['PWD'] + '/app/templates'
  all_template = Dir.glob(template_path+'/*/')
  puts 'copying module'
  all_template.each do |folder|
    if folder.split('/')[-1] != 'mobile'
      begin
        system ('cp -r '+ app_path + '/modules/ ' + folder)
      rescue
        puts 'error copy'
      end
    end
  end
end
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "property_hire"
  s.version     = PropertyHire::VERSION
  s.authors     = ["Harry Bomrah"]
  s.email       = ["harry@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "Property hire module"
  s.description = "Property hire module"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]

end
